Bug 9320 - Pending reserves is showing reserves already waiting
Summary: Pending reserves is showing reserves already waiting
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Hold requests (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Sophie MEYNIEUX
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on:
Blocks: 18079
  Show dependency treegraph
 
Reported: 2012-12-26 16:35 UTC by Sophie MEYNIEUX
Modified: 2017-02-08 08:49 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
BZ 9320 : Pending reserves report (circ/pendingreserves.pl) should not show items on hold waiting to be picked up (1.29 KB, patch)
2012-12-26 16:58 UTC, Sophie MEYNIEUX
Details | Diff | Splinter Review
BZ 9320 : Pending reserves report (circ/pendingreserves.pl) should not show items on hold waiting to be picked up (1.32 KB, patch)
2012-12-26 20:19 UTC, Chris Cormack
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9320 Pending reserves report should not show waiting items (1.48 KB, patch)
2012-12-27 14:35 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 9320 Pending reserves report should not show waiting items (1.49 KB, patch)
2013-02-08 12:59 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Sophie MEYNIEUX 2012-12-26 16:35:30 UTC
A document with only one item that has multiple reserves is shown in circ/pendingreserves.pl even if the item is waiting for the first patron.

With the patch, only items that are really available are shown.
Comment 1 Sophie MEYNIEUX 2012-12-26 16:58:49 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2012-12-26 20:19:56 UTC Comment hidden (obsolete)
Comment 3 Owen Leonard 2012-12-27 14:35:40 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2013-02-08 12:59:02 UTC
QA comment:

Very simple patch.
It fixes a specific case about holds.
If a reserve is waiting, it is useless to display it in the holds to pull table.

Marked as Passed QA.
Comment 5 Jonathan Druart 2013-02-08 12:59:26 UTC
Created attachment 15161 [details] [review]
Bug 9320 Pending reserves report should not show waiting items

Test plan : * chose an item reserved by multiple patrons.
                * return the item and confirm reservation =>
                  item is waiting to be picked up
                * run circ/pendingreserves.pl
                    => without patch, this item is shown in the list
                    => with the patch, only really available items are show.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Works according to test plan. The title with one waiting item appeared
in pending holds report before the patch, doesn't appear after the
patch.

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 6 Jared Camins-Esakov 2013-02-08 14:03:15 UTC
This patch has been pushed to master.
Comment 7 Chris Cormack 2013-02-09 00:16:48 UTC
Pushed to 3.10.x and 3.8.x will be in 3.10.3 and 3.8.10